#ifndef GetComParameterList_H
#define GetComParameterList_H

#include <Command.h>

#include "ComChannel.h"

namespace ProtoGenWrapper
{
	class GetComParameterList : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComParameterList(const ComChannel* comChannel);
		GetComParameterList(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel*& comChannel);

		static int GetCommandType();
	};
}
#endif // GetComParameterList_H
